//
// BGIGest.hpp:
//	Interface Definition of class BGIGestureActor.
//	Example use of Object Glove and Court Jesture.
//
// Purpose:
//	Outputs the names of Gestures onto a BGI window.
//
// Compatibility:
//	DOS only!
//
// Copyright 1993   Mark Thomas Pflaging
//
// Date:	3/22/93 (Release 3.0)
//
//	Example use of Object Glove and Court Jesture.
#include "namenumb.hpp"
#include "instance.hpp"

class BGINameGest : public NamedGesture
{
public:
	BGINameGest(char * name = NULL) : NamedGesture(name) {}
	virtual void Register(Boolean onOrOff) {}
};

#define NUM_STRINGS 7

class BGIGestureActor : public InstanceCounter<NamedGestSet> {
	Boolean drawn;
	int set_view();
	char * strings[NUM_STRINGS];

public:
	BGIGestureActor(InitFile & ini, char * section);
	virtual void Register(Gesture & found, Boolean offOrOn);
	virtual Gesture & CreateElement(Key & which) {
		return *(new BGINameGest(which.getName()));
	}
	void draw();
	void clear();
};

